# HOBBITD_HOSTDATA

Section: Maintenance Commands (8)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbitd_hostdata - hobbitd worker module for storing historical client data

## SYNOPSIS

hobbitd_channel --channel=clichg hobbitd_hostdata

## DESCRIPTION

hobbitd_hostdata is a worker module for hobbitd, and as such it is normally run via the hobbitd_channel(8) program. Whenever a status column in Xymon changes to an alert state (usually red, yellow or purple), this module receives a copy of the latest Xymon client data sent by the host, and stores it on disk. This allows you to review all of the data collected by the Xymon client on the server around the time that a problem occurred. This can make troubleshooting incidents easier by providing a snapshot of the host status shortly before a problem became apparent.

Note: This module requires that hobbitd(8) is launched with the "--store-clientlogs" option enabled.

## FILES

All of the host data are stored in the $CLIENTLOGS directory, by default this is the $BBVAR/hostdata/ directory.

## SEE ALSO

hobbitd(8), hobbitd_channel(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008